Zeichnen (Draft) > Kreis (Circle)

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Draft Circle and the translation is 90% complete.

Outdated translations are marked like this.
Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎română • ‎русский • ‎svenska • ‎Türkçe • ‎中文(中国大陆)‎

Draft Circle.svg Kreis

Menüeintrag
Entwurf → Kreis
Arbeitsbereich
Draft, Arch
Standardtastenkürzel
C I
In der Version eingeführt
0.7
Siehe auch
Draft Bogen, Ellipse


Beschreibung

Das Kreis-Werkzeug erstellt einen Kreis in der aktuellen Arbeitsebene durch Eingabe von zwei Punkten, dem Mittelpunkt und dem Radius oder durch Auswahl von Tangenten oder einer Kombination von diesen. Man benötigt die vorher im Draft Tray gesetzte Linienbreite und -farbe.

Dieses Werkzeug arbeitet genau wie das Draft Bogen-Werkzeug, außer dass es einen vollen Umkreis erstellt. Um eine Ellipse zu zeichnen, siehe Draft Ellipse.

Draft Circle example.jpg

Kreis definiert durch zwei Punkte


Anwendung

  1. Drücke den Draft Circle.png Kreis-Button oder drücke C, dann I
  2. Klicke einen ersten Punkt in der 3D-Ansicht oder tippe eine Koordinate und drücke den Draft AddPoint.svg Punkt hinzufügen-Button.
  3. Klicke einen zweiten Punkt in der 3D-Ansicht oder gib einen Wert für den Radius ein.

Der Kreis kann durch doppelklicken des Elements in der Baumansicht geändert werden oder durch drücken des Draft Edit.svg Draft Bearbeiten-Buttons. Dann können der Mittel- und/oder der Radiuspunkt an eine neue Position verschoben werden.

Der Kreis kann nach der Erstellung in einen Bogen umgewandelt werden, indem die 'First Angle'- und 'Last Angle'-Eigenschaften auf unterschiedliche Werte eingestellt werden.

Optionen

  • Die primäre Anwendung des Kreis-Werkzeugs erfolgt durch Auswahl von zwei Punkten: dem Mittelpunkt und einem Punkt auf dem Umkreis zur Definition des Radius.
  • Durch Drücken von Alt kannst Du eine Tangente anstatt eines Punkts zur Definition des Basiskreises des Bogens auswählen. Du kannst deshalb verschiedene Kreisarten durch Auswahl von ein, zwei oder drei Tangenten erstellen.
  • Um Koordinaten manuell einzugeben, gibt einfach die Ziffern ein, drücke dann Enter zwischen den X-, Y- und Z-Komponenten. Du kannst den Draft AddPoint.svg Punkt hinzufügen-Button drücken, nachdem die gewünschten Werte eingegeben wurden.
  • Drücke Alt+N oder klicke das Ankreuzkästchen zum de/aktivieren des Fortsetzungsmodus. Wenn der Fortsetzungsmodus aktiviert ist, wird das Kreis-Tool nach Eingabe des zweiten Punkts neugestartet, um das Zeichnen eines weiteren Kreises ohne erneutes Drücken des Kreis-Buttons zu ermöglichen.

Klicke das Ankreuzkästchen zum de/aktivieren des Gefüllt-Modus. Wenn der 'Geüllt'-Modus aktiviert ist, wird der Kreis mit einer Fläche gefüllt.

  • Drücke Strg während des Zeichnens, um das Einrasten Deines Punkts an der nächsten Einrastposition zu erzwingen, unabhängig vom Abstand.
  • Drücke Shift während des Zeichnens, um Deinen Punkt horizontal oder vertikal in Relation zum ersten einzuschränken.
  • Drücke Esc oder den Schließen-Button, um den aktuellen Befehl abzubrechen.
  • Der Kreis kann nach der Erstellung durch Setzen von unterschiedlichen Wertes für die Eigenschaften des ersten und letzten Winkels in einen Kreisbogen umgewandelt werden.

Eigenschaften

Ein Kreis-Objekt hat die gleichen Eigenschaften wie ein Bogen, aber einige Eigenschaften sind nur bei einem Kreis sinnvoll.

Daten

  • Daten-EigenschaftFirst Angle: Gibt den Startwinkel des Kreises an, ; normalerweise 0°.
  • Daten-EigenschaftLast Angle: Gibt den Endwinkel des Kreises an; normalerweise 0°.
  • Daten-EigenschaftRadius: Gibt den Radius des Kreises an.
  • Daten-EigenschaftMake Face: Gibt an, ob der Kreis ausgefüllt wird. Falls auf True gesetzt, wird eine Fläche erstellt, anderenfalls wird nur der Umkreis als Teil des Kreises angesehen. Diese Eigenschaft funktioniert nur, wenn die Form ein vollständiger Umkreis ist.
Damit es ein voller Kreis ist, müssen DATAFirst Angle und DATALast Angle den gleichen Wert haben; sonst wird ein Bogen angezeigt. Die Werte 0° und 360° werden nicht als gleich angesehen, so dass der Kreis nicht mit einer Fläche gefüllt wird.

Ansicht

  • Ansicht EigenschaftPattern: definiert ein Muster, mit dem die Oberfläche gefüllt wird. Diese Eigenschaft funktioniert nur, wenn Daten-EigenschaftMake Face auf True und Ansicht EigenschaftDisplay Mode auf "Flat Lines" gesetzt ist.
  • Ansicht EigenschaftPattern Size: gibt die Größe des Musters an.

Scripting

Siehe auch: Draft API und FreeCAD Scripting Basics.

Das Kreis-Werkzeug kann sowohl in Makros als auch aus der Python-Konsole heraus mittels folgender Funktion angesprochen werden:

Circle = makeCircle(radius, placement=None, face=None, startangle=None, endangle=None, support=None)
Circle = makeCircle(Part.Edge, placement=None, face=None, startangle=None, endangle=None, support=None)
  • Erstellt ein Circle-Objekt mit gegebenem radius in mm.
    • radius kann auch eine Part.Edge sein, dessen Curve-Attribut ein Part.Circle sein muss.
  • Falls ein placement angegeben ist, wird es benutzt. Anderenfalls wird die Form am Ursprung erstellt.
  • Falls face auf True gesetzt ist, wird der Kreis ausgefüllt, sonst als ein Drahtmodell gezeigt.
  • Falls startangle und endangle angegeben sind (in Grad) und unterschiedliche Werte haben, werden sie benutzt und das Objekt erscheint als Draft Bogen.

Beispiel:

import FreeCAD, Draft

Circle1 = Draft.makeCircle(200)

ZAxis = FreeCAD.Vector(0, 0, 1)
p2 = FreeCAD.Vector(1000, 1000, 0)
place2 = FreeCAD.Placement(p2, FreeCAD.Rotation(ZAxis, 0))
Circle2 = Draft.makeCircle(500, placement=place2)

p3 = FreeCAD.Vector(-1000, -1000, 0)
place3 = FreeCAD.Placement(p3, FreeCAD.Rotation(ZAxis, 0))
Circle3 = Draft.makeCircle(750, placement=place3)